%define name		assetml
%define version      	1.2.1
%define release 	1mdk

%define major 0
%define libname %mklibname %name %major
%define libnamedev %mklibname %name %major -d



Summary: Library assetml to share and reuse content like image and audio file
Name: 		%name
Version: 	%version
Release: 	%release
License: 	GPL
Group: 		System/Libraries
Source:		lib%name-%version.tar.bz2
BuildRoot: 	%_tmppath-buildroot
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRequires:	glib2-devel >= 2.0.0
BuildRequires:	glibc-devel
BuildRequires:	libxml2-devel
BuildRequires:	texi2html
BuildRequires:	texinfo
URL: 		http://ofset.sf.net/assetml

%description
This is a library based on an XML file format that is used to share and reuse 
content like image and audio file.
Application using this library can query files on their system that provides an
assetml xml file description.

%package -n %libname
Summary:        Library assetml to share image and audio file between project
Group:          System/Libraries

%description -n %libname
AssetML Library

%package  -n %libnamedev
Summary:        Devel Library assetml to share image and audio file between project
Group: 		System/Libraries
Requires:       %libname = %version
Provides:	libassetml-devel

%description -n %libnamedev
AssetML Devel Library

%prep

%setup -q -n lib%{name}-%version

%build

%configure

%make

%install

%makeinstall

%find_lang lib%name

%post

%_install_info %{name}.info

%preun

%_remove_install_info %{name}.info

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f lib%name.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README THANKS
%attr(-, root, games) %_bindir/*
%_datadir/gnome/help/*
%_infodir/*
%_bindir/*

%files -n %libname
%defattr(-,root,root)
%_libdir/libassetml.so.*

%files -n %libnamedev
%defattr(-, root, root)
%_libdir/lib*.so
%_libdir/*a
%_includedir/libassetml*/*
%_libdir/pkgconfig/libassetml.pc

%changelog
* Tue Feb 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1

* Fri Dec 26 2003 Franck Villaume <fvill@freesurf.fr> 1.1-4mdk
- add texi2html to BuildRequires

* Thu Dec 18 2003 Franck Villaume <fvill@freesurf.fr> 1.1-3mdk
- add texinfo to BuildRequires

* Mon Dec 15 2003 Franck Villaume <fvill@freesurf.fr> 1.1-2mdk
- add some BuildRequires : pkgconfig glib2-devel glibc popt-devel
  libxml2-devel

* Wed Nov 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1-1mdk
- new
